CompaniesList Companies

List Companies

List companies that the authenticated user has access to through agencies or partners.

curl -X GET "https://api.getkini.com/companies/" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "id": 123,
    "name": "John Doe",
    "ats": "bullhorn",
    "partner": [
      42
    ],
    "agency": [
      25
    ],
    "website": "example_string",
    "logo": "example_string",
    "candidate_sync_active": true,
    "job_sync_active": true,
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  }
]
GET
/companies/
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer API Key Authentication. Include your API key in the Authorization header.

Bearer API Key Authentication. Include your API key in the Authorization header.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.

Responses

idinteger

Unique Kini ID of the company

namestring

The company's name

atsstring

The company's ATS, to which the synchronization happens

Allowed values:bullhorncooperhirecovetodvincigreenhouseguidecomhr4youhrworksicimsjobkeyjoinkenjoleveronlyfyotherpersoniorecruiteerexxsagesoftgardensuccessfactorstalentionteamtailorumantisworkableworkdayzvooveheyrecruit
partnerinteger[]

Array of Kini IDs of the company's partners, from which it is receiving data

agencyinteger[]

Array of Kini IDs of the company's used agencies

websitestring

The company's website

logostring

The company's logo

candidate_sync_activeboolean

Whether the company's synchronization of candidates to the ATS is activated

job_sync_activeboolean

Whether the company's synchronization of jobs from the ATS is activated

created_atstring

Timestamp of when the company was first created

updated_atstring

Timestamp of when the company was last updated